Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Rooms
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
        GET
      • Get Room Details
        GET
      • Hide Rooms
        PATCH
      • Create Room
        POST
      • Update Room
        PATCH
      • Delete Room
        DELETE
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Rooms

Update Room

PATCH
/admin/rooms/{id}
Last modified:2026-03-12 17:03:01

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params multipart/form-data

Responses

🟢201
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/admin/rooms/65739b2289f67a93201dea8e' \
--header 'Authorization: Bearer <token>' \
--form 'type="Deluxe"' \
--form 'location="city center"' \
--form 'price="55000"' \
--form 'facilities="[\"Air Condition\", \"Wi-Fi\", \"Nice View\", \"24hr Electricity\"]"' \
--form 'description="TOur Deluxe room, more spacious than both the Standard and Royal Single, is crafted for guests who appreciate the luxury of space and comfort. It comes with a plush single-occupancy cushioned area, a 6 feet by 7 feet bed, and ample storage. The room boasts a mini-fridge, air conditioning, a smart TV, a hairdryer, and facilities for making tea or coffee, plus a complimentary breakfast.."' \
--form 'images=@""' \
--form 'totalRooms="5"'
Response Response Example
{
    "status": true,
    "message": "Success! Room created successfully.",
    "data": {
        "name": "Test 2 Asa Royal room",
        "type": "Family Room",
        "price": 36000,
        "location": "Akure",
        "bookedStatus": false,
        "description": "This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted and built up for your 100% deep satisfaction. You made the right choice! Proceed to check out. This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted. You made the right choice! Proceed to check out.",
        "facilities": [
            "[\"Air Condition\", \"Ree Wi-Fi\", \"Nice View\", \"24hr Electricity\"]"
        ],
        "comments": [],
        "images": [
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2Fimage%2Fpng?alt=media&token=d4ae02b5-6663-40d5-8c93-a34c841752d9",
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2Fimage%2Fpng?alt=media&token=cb4248ba-953b-4d19-8198-de3c838989af",
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2Fimage%2Fpng?alt=media&token=d4ae02b5-6663-40d5-8c93-a34c841752d9"
        ],
        "_id": "654181a1b76f1c39de011d69",
        "createdAt": "2023-10-31T22:37:21.538Z",
        "updatedAt": "2023-10-31T22:37:21.538Z",
        "__v": 0
    }
}
Modified at 2026-03-12 17:03:01
Previous
Create Room
Next
Delete Room
Built with